#!/bin/bash

CLASSPATH=$PWD/classes

for jar in $(ls lib); do
    CLASSPATH=$CLASSPATH:$PWD/lib/$jar
done
#echo $CLASSPATH

AF=`dirname $0`/auth.properties
echo "sslCAFiles = /etc/grid-security/certificates/*.0" >$AF
if [ "0" = `id -u` ]; then
    echo "sslKey = /etc/grid-security/hoskey.pem" >>$AF
    echo "sslCertfile = /etc/grid-security/hostcert.pem" >>$AF
else
    echo "gridProxyFile = /tmp/x509up_u"`id -u` >>$AF
fi

if [ $# = 0 ]; then
	proxy="http://localhost:8080/edg-voms-admin/fred/services/VOMSAdmin"
else
	proxy="$*"
fi

java -classpath $CLASSPATH -Daxis.socketSecureFactory=org.edg.security.trustmanager.axis.AXISSocketFactory -DsslConfigFile=auth.properties SampleClient $proxy

## non-secure version
# java -classpath $CLASSPATH SampleClient http://localhost:8080/edg-voms-admin/fred/services/VOMSAdmin

